import 'package:flutter/material.dart';

class SoftCard extends StatelessWidget {
  final Widget child;
  final BorderRadius borderRadius;
  final Color shadowColor;
  final Color color;
  final double elevation;
  final EdgeInsetsGeometry margin;
  final EdgeInsetsGeometry padding;

  SoftCard({
    this.child,
    this.borderRadius,
    this.shadowColor,
    this.color,
    this.elevation,
    this.margin,
    this.padding,
  });

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: margin ?? const EdgeInsets.all(4.0),
      child: Material(
        elevation: elevation ?? Theme.of(context).cardTheme.elevation,
        clipBehavior: Clip.antiAlias,
        shadowColor: shadowColor ?? Colors.black,
        shape: RoundedRectangleBorder(
          borderRadius: borderRadius ?? BorderRadius.circular(4.0),
        ),
        child: Padding(
          padding: padding ?? const EdgeInsets.all(8.0),
          child: child,
        ),
      ),
    );
  }
}
